On Tue, May 24, 2011 at 10:59 AM, Alex V. <alex.vpro / laposte.net> wrote:
> Hello Ryan, thank you for your detailed answer. I still have a lot of
> problems, so I will explain my approach step by step:
>
> First, I installed the lastest version of Ruby (1.9.2-p180) by
> downloading and compiling the source code on my Ubuntu virtual machine.
> This install includes Gem, when I type "gem -v" I get "1.3.7". So I
> tried to use this gem version to install metric_fu, and I got :
>
> "
> root@Alexis-VBox-Ubuntu:~# gem install metric_fu --http-proxy ...
> ERROR: =A0Loading command: install (LoadError)
> =A0 =A0no such file to load -- zlib
> ERROR: =A0While executing gem ... (NameError)
> =A0 =A0uninitialized constant Gem::Commands::InstallCommand
> "

Did you install the development libraries for zlib, OpenSSL, and readline?

--=20
Phillip Gawlowski

A method of solution is perfect if we can forsee from the start,
and even prove, that following that method we shall attain our aim.
=A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0-- Leibnitz